## golang-1.12 1.12~beta2

=== debian/changelog ===
golang-1.12 (1.12~beta2-1) unstable; urgency=medium

  * New upstream version 1.12~beta2
    - Remove two patches, applied upstream. Refresh remaining patch.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 11 Jan 2019 17:14:43 +0100

golang-1.12 (1.12~beta1-4) unstable; urgency=medium

  * Switch watch file to version 4
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 07 Jan 2019 23:06:22 +0100

golang-1.12 (1.12~beta1-3) unstable; urgency=medium

  [ Anthony Fok ]
  * Add patch "unix: fix Fstatat by using fillStat_t on linux/mips64x"
    This fixes the "Fstatat: returned stat does not match Stat/Lstat"
    errors detected by TestFstatat.
    See https://go-review.googlesource.com/c/sys/+/155747

  [ Dr. Tobias Quathamer ]
  * Add another lintian override

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Dec 2018 23:06:20 +0100

golang-1.12 (1.12~beta1-2) unstable; urgency=medium

  [ Anthony Fok ]
  * Add patch "cmd/compile: fix MIPS SGTconst-with-shift rules"
    by Cherry Zhang.  This fixes the root problem behind the
    "slice bounds out of range" build error seen in 1.11.4
    on mips and mipsel architectures.
    See https://go-review.googlesource.com/c/go/+/155798
  * Bump Standards-Version to 4.3.0 (no change)

  [ Dr. Tobias Quathamer ]
  * Do not compress favicon.ico.
    Thanks to Dato Simó <dato@debian.org> (Closes: #917132)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 26 Dec 2018 23:20:03 +0100
