## golang-1.12 1.12

=== debian/changelog ===
golang-1.12 (1.12-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Mar 2019 12:24:57 +1300

golang-1.12 (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
    - Remove patch 0005-Fix-CVE-2019-6486, applied upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 26 Feb 2019 21:31:48 +0100

golang-1.12 (1.12~beta2-2) unstable; urgency=medium

  * Refresh patch Reproducible BUILD_PATH_PREFIX_MAP.
    Thanks to Michael Stapelberg!
  * Add patch to fix CVE-2019-6486. (Closes: #920548)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Jan 2019 20:05:59 +0100

golang-1.11 (1.11.5-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Feb 2019 11:41:24 +1300

golang-1.10 (1.10.4-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
  * d/patches/disable-cmd-go-tests.patch: disable cmd/go tests which
    consistently time out on the amd64 Launchpad builders (but pass on my
    machine and other architectures)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Sep 2018 10:14:24 +0200

golang-1.10 (1.10.4-2) unstable; urgency=medium

  * d/patches/arm64-arm64asm-recognise-new-ssbb-pssbb-mnemonics-fr.patch:
    backport another ftbfs fix from upstream.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 21 Sep 2018 11:30:09 +0200

golang-1.10 (1.10.4-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/only-consider-executable-segments.patch: backport ftbfs fix from
    upstream. 

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 19 Sep 2018 10:03:11 +0200

golang-1.10 (1.10.1-1ubuntu2) bionic; urgency=medium

  * Add d/patches/0001-cmd-link-do-not-pass-no-pie-to-host-linker-when-link.patch
    to fix ftbfs on arm64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 09 Apr 2018 11:07:21 +1200

golang-1.10 (1.10.1-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 03 Apr 2018 16:08:51 +1200

golang-1.10 (1.10-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 19 Feb 2018 09:55:46 +1300

golang-1.10 (1.10~rc2-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Feb 2018 11:00:39 +1300

golang-1.10 (1.10~rc1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Feb 2018 22:14:51 +1300

golang-1.10 (1.10~rc1-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Feb 2018 10:30:59 +1300

golang-1.9 (1.9.2-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change: 
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 31 Oct 2017 13:21:14 +1300

golang-1.9 (1.9.2-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 Oct 2017 16:06:41 +1300

golang-1.9 (1.9.1-2ubuntu1) artful; urgency=medium

  * Re-apply Ubuntu changes on autosync from Debian unstable:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Oct 2017 09:13:42 +1300

golang-1.8 (1.8.3-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.
    - Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
      make the ABIs of shared libraries slightly more robust.
    - Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
      with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jun 2017 14:04:12 -0700

golang-1.8 (1.8.1-1ubuntu3) artful; urgency=medium


