## golang-1.12 1.12.5

=== debian/changelog ===
golang-1.12 (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 09 May 2019 22:34:40 +0200
