## golang-1.12 1.12.7

=== debian/changelog ===
golang-1.12 (1.12.7-3+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from golang-1.10 1.10~rc2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 24 Feb 2018 12:22:04 +0000]
  * Build with GOARM=6
  * Disable testsuite.
  * Fix clean target.

  [changes introduced in golang-1.12 1.12.7-3+rpi1 by Peter Michael Green]
  * Further clean target fixing.

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 16 Aug 2019 20:02:16 +0000

golang-1.12 (1.12.7-3) unstable; urgency=medium

  * Set GOCACHE to fix a FTBFS. (Closes: #933958)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 05 Aug 2019 21:49:35 +0200

golang-1.12 (1.12.7-2) unstable; urgency=medium

  * Use dh_missing instead of deprecated dh_install --fail-missing
  * Do not run dh_dwz, there is no debugging information
  * Use debhelper-compat (= 12)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 19 Jul 2019 14:52:31 +0200

golang-1.12 (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7
    - Refresh patches
  * Update Standards-Version to 4.4.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 09 Jul 2019 14:19:07 +0200
