=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: golang-1.12
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Go Compiler Team <team+go-compiler@tracker.debian.org>
+Maintainer: Go Compiler Team <team+go-compiler@tracker.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -14,10 +13,10 @@
            Dr. Tobias Quathamer <toddy@debian.org>
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.12
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.12
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://golang.org
 
 Package: golang-1.12-go
@@ -26,11 +25,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: g++,
-            gcc,
-            golang-1.12-race-detector-runtime [amd64],
-            libc6-dev,
-            pkg-config
+Recommends: g++, gcc, libc6-dev, pkg-config
 Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
