=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
+export GOARM := 6
+
+# Go 1.12 needs a build cache, otherwise the build fails.
+export GOCACHE := $(CURDIR)/pkg/obj/go-build
 
 # We need DEB_HOST_ARCH, so include the needed makefile snippet
 include /usr/share/dpkg/architecture.mk
@@ -13,7 +17,7 @@
 RUN_TESTS := true
 # armel: ???
 # ppc64: ???
-ifneq (,$(filter armel ppc64,$(DEB_HOST_ARCH)))
+ifneq (,$(filter armhf armel ppc64,$(DEB_HOST_ARCH)))
 	RUN_TESTS := false
 endif
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -50,6 +54,14 @@
 	@set -e; cd debian; for x in golang-X.Y-*; do \
 		rm -f -v golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
+	# more cleanup
+	rm -f `find . -name *.o`
+	rm -f `find . -name *.exe`
+	rm -f src/cmd/go/internal/cfg/zdefaultcc.go
+	rm -f src/cmd/go/internal/cfg/zosarch.go
+	rm -f src/cmd/internal/objabi/zbootstrap.go
+	rm -f src/go/build/zcgo.go
+	rm -f src/cmd/dist/dist
 
 override_dh_prep:
 	dh_prep
@@ -84,11 +96,8 @@
 override_dh_compress-indep:
 	dh_compress -Xusr/share/doc/golang-$(GOVER)-doc/html -Xusr/share/doc/golang-$(GOVER)-doc/favicon.ico
 
-override_dh_install-indep:
-	dh_install --fail-missing
-
 override_dh_install-arch:
-	dh_install --fail-missing
+	dh_install
 	# Remove Plan9 rc(1) scripts
 	find debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src -type f -name '*.rc' -delete
 	# Remove empty /usr/share/go-$(GOVER)/src from golang-$(GOVER)-go, it is provided by golang-$(GOVER)-src
@@ -100,8 +109,14 @@
 	chmod a+x debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/cmp.bash
 	chmod a+x debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/runtime/mknacl.sh
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_strip:
 	dh_strip -Xtestdata
+
+# Do not run dh_dwz, as there is no debug information currently.
+override_dh_dwz:
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xtestdata
