## golang-1.12 1.12.10

=== debian/changelog ===
golang-1.12 (1.12.10-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from golang-1.10 1.10~rc2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 24 Feb 2018 12:22:04 +0000]
  * Build with GOARM=6
  * Disable testsuite.
  * Fix clean target.

  [changes introduced in golang-1.12 1.12.7-3+rpi1 by Peter Michael Green]
  * Further clean target fixing.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 04 Oct 2019 12:57:01 +0000

golang-1.12 (1.12.10-1) unstable; urgency=medium

  * New upstream version 1.12.10
    - net/textproto: don't normalize headers with spaces before the colon.
      Fixes CVE-2019-16276. See https://github.com/golang/go/issues/34541
      Closes: #941173
  * Apply changes from cme fix dpkg
  * Set Rules-Requires-Root: no
  * Regenerate d/control

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Sep 2019 11:18:04 +0200

golang-1.12 (1.12.9-2) unstable; urgency=medium

  * Exclude testdata from dh_makeshlibs.
    Otherwise, the build fails at least on armel and armhf.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Aug 2019 15:00:07 +0200

golang-1.12 (1.12.9-1) unstable; urgency=medium

  * New upstream version 1.12.9

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Aug 2019 13:03:14 +0200

golang-1.12 (1.12.8-1) unstable; urgency=medium

  * New upstream version 1.12.8
    - Fix Denial of Service vulnerabilities in the HTTP/2 implementation.
      https://github.com/golang/go/issues/33631
      CVE-2019-9512, CVE-2019-9514
    - Fix multiple Parsing Issues in URL.Parse
      https://github.com/golang/go/issues/29098
      CVE-2019-14809

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 14 Aug 2019 21:59:24 +0200
