=== debian/watch ===
--- 
+++ 
@@ -4,5 +4,6 @@
 
 version=4
 opts=\
-uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
+uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
+pgpmode=auto \
   https://golang.org/dl/ .*/go(1.12\S*)\.src\.tar\.gz
