## golang-1.12 1.12.12

=== debian/changelog ===
golang-1.12 (1.12.12-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 10:16:33 +0200

golang-1.12 (1.12.12-1) unstable; urgency=medium

  * New upstream version 1.12.12
    - Remove patch 0003-arm64-arm64asm-recognise-ssbb-pssbb-mnemonics.patch,
      has been applied upstream.
    - crypto/dsa: invalid public key causes panic in dsa.Verify.
      Fixes CVE-2019-17596. Closes: #942629
  * Update Standards-Version to 4.4.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 19 Oct 2019 13:51:14 +0200

golang-1.12 (1.12.10-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Sep 2019 20:18:49 +0200

golang-1.12 (1.12.9-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Aug 2019 08:33:13 +0200

golang-1.12 (1.12.9-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2019 08:50:52 +0200

golang-1.12 (1.12.8-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2019 23:16:12 +0200

golang-1.12 (1.12.7-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2019 08:56:04 +0200

golang-1.12 (1.12.7-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2019 23:26:46 +0200

golang-1.12 (1.12.7-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2019 09:48:27 +0200

golang-1.12 (1.12.5-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2019 11:44:23 +0200
