=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Build-Depends: debhelper-compat (= 12),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.12
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.12
 Homepage: https://golang.org
@@ -26,7 +26,11 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: g++, gcc, libc6-dev, pkg-config
+Recommends: g++,
+            gcc,
+            golang-1.12-race-detector-runtime [amd64],
+            libc6-dev,
+            pkg-config
 Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
